Subject: MIME character sets

From: Alan Barrett <[email-masked]>
Date: Sat, 2 Oct 1993 10:19:39 -0200 ()

I should know better than to disagree with Ned Freed and John Klensin
about this, but...

My reading of RFC-1340 (Assigned Numbers) does not support the view that
all the character sets from RFC-1345 are registered for use with MIME. 
Unfortunately, the sections in RFC-1340 are not numbered, but nevertheless
there appear to be clear boundaries between major and minor sections: The
major sections have headings in ALL CAPS, and are listed in the table of
contents, while the minor sections have headings in Mixed Case and are not
listed in the table of contents. 

One of the major sections is headed MIME TYPES, and begins on page 77. The
introduction to this section refers to the authority granted to IANA by
RFC-1341 (MIME).  One of the sub-sections lists the registered MIME
character sets, and there are only ten of them: US-ASCII and ISO-8859-x. 

An entirely separate major section is headed CHARACTER SETS, and begins on
page 79.  There is no comment about the status of these character sets,
nor the reason why they are listed in RFC-1340.

There are some cross-references from the "MIME TYPES"/"Character Sets"
subsection to the "CHARACTER SETS" section, but I interpret these as
beiong purely informational.  Perhaps a clarification should be sought
from the IANA regarding its intent. 

--apb
Alan Barrett, Dept. of Electronic Eng., Univ. of Natal, Durban, South Africa
RFC822: [email-masked]

---

From: Ned Freed <[email-masked]>
Date: Sat, 02 Oct 1993 09:52:00 -0800 (PST)

> nor the reason why they are listed in RFC-1340.

And this is the problem. What's the purpose of listing character sets in the
assigned numbers RFC? There is only one such purpose -- registration for use
with MIME. In order to justify your position you have to explain what purpose
this list has if it isn't for MIME use. Thus far nobody has come up with an
acceptable explanation for this registry list if it isn't for MIME use.

And please don't try to argue that the character sets are not registered. The
entire purpose of this RFC is to register things.

> from the IANA regarding its intent. 

I believe this has already been done, and the answer was that the character
sets have been registered for MIME use.

Much as I might like to believe in your interpretation (and Mark Crispin has
sent me comparable material in private mail), I just cannot buy it. I can only
reiterate the points John has already made. The IETF-822 Working Group set up a
registration process that is open to everyone. This is irrefutable -- see the
language in RFC1341 or RFC1521. Keld applied for registration of all the
character sets in RFC1345. This is also known to be true. Lacking any mandate
to perform any kind of checking or filterng and only requiring minimal
documentation as a prerequisite, IANA registered these character sets. And the
act of registering by definition carries with it the right to use them in MIME.

And even if I were to buy into your interpretation, you cannot possibly make a
case that proves my interpretation is invalid. This would be true even if
RFC1340 did not exist. Keld published his RFC and requested that these
character sets be registered for MIME use. I am aware of absolutely nothing
that would allow IANA to refuse such a request. As such, characterizing use of
RFC1345 character sets remains unacceptable.

				Ned